classification
Title: IDLE: configdialog -- fix tkinter Variables
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, terry.reedy
Priority: normal Keywords:

Created on 2017-07-05 01:25 by terry.reedy, last changed 2017-07-10 19:15 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2626 merged cheryl.sabella, 2017-07-07 22:59
PR 2648 merged terry.reedy, 2017-07-10 17:53
Messages (5)
msg297692 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-05 01:25
As part of #30777, Cheryl Sabella listed Variables defined for a tab page, and the use thereof, in the docstring for the tab page.  This revealed some anomalies.

Duplicate: font_name is defined on font and highlight pages.  The first StringVariable should be attached to a widget before the name is rebound.  We should investigate after there are tests for the two pages.

Unused: for anything deleted, make sure that there is no corresponding trace function left.

binding_target (keys) sounds like something that was never an external option but just an internal implementation detail; delete.

encoding (general) *is* an external option, but I believe used only by 2.x.  Recheck (in config.py also) and probably delete.

user_help_browser and help_browser (general) may have once been options.  We now use the system browser, which, at least on some systems, users can set.  Delete.
msg297916 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2017-07-07 23:00
Created the pull request so it's ready once the tests are available.
msg298022 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-10 03:55
After wresting with a test for #30870, I am not sure we will ever have the full tests I would like.  Anyway, I concluded that the replacement of font_name is a bug.  It did not matter because all pages are created before configuration is read.  If any of font_name, font_bold, or font_size are changed, set_font_sample is called to define a new font and reset the fonts for the samples on both font and hightlight pages.  I checked that this still works.

I convinced myself that the 3.6+ dialog cannot change 'encoding' in userCfg.
msg298074 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-10 17:50
New changeset aa8d0a24694bea05061f1920ec3f944a9e6799d5 by terryjreedy (csabella) in branch 'master':
bpo-30851: IDLE: Remove unused tk variables in configdialog. (#2626)
https://github.com/python/cpython/commit/aa8d0a24694bea05061f1920ec3f944a9e6799d5
msg298078 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-10 19:11
New changeset 8e3f73e5499a5bc575a5e7ad4ee0f16b1aaae829 by terryjreedy in branch '3.6':
[3.6] bpo-30851: IDLE: Remove unused tk variables in configdialog. (GH-2626) (#2648)
https://github.com/python/cpython/commit/8e3f73e5499a5bc575a5e7ad4ee0f16b1aaae829
History
Date User Action Args
2017-07-10 19:15:04terry.reedysetstatus: open -> closed
dependencies: - IDLE: configdialog - add tests for ConfigDialog GUI.
resolution: fixed
stage: needs patch -> resolved
2017-07-10 19:11:49terry.reedysetmessages: + msg298078
2017-07-10 17:53:24terry.reedysetpull_requests: + pull_request2714
2017-07-10 17:50:48terry.reedysetmessages: + msg298074
2017-07-10 03:55:03terry.reedysetmessages: + msg298022
2017-07-07 23:00:02cheryl.sabellasetmessages: + msg297916
2017-07-07 22:59:06cheryl.sabellasetpull_requests: + pull_request2692
2017-07-05 01:26:12terry.reedysetdependencies: + IDLE: configdialog - add tests for ConfigDialog GUI.
2017-07-05 01:25:39terry.reedycreate